Unverified Commit 8ea7a77d authored by Michael Müller's avatar Michael Müller Committed by GitHub
Browse files

Account for ink! 3.1 release (#569)

* Update all ink! dependencies to `3`

* Update `Cargo.lock`

* Update changelog
parent 08eba1b9
Pipeline #194597 passed with stages
in 13 minutes and 41 seconds
...@@ -6,6 +6,9 @@ and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0 ...@@ -6,6 +6,9 @@ and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0
## [Unreleased] ## [Unreleased]
### Changed
- Updated `cargo contract new` template dependencies to ink! `3` - [#569](https://github.com/paritytech/cargo-contract/pull/569)
## [1.3.0] - 2022-05-09 ## [1.3.0] - 2022-05-09
### Added ### Added
......
This diff is collapsed.
...@@ -49,8 +49,8 @@ regex = "1.5.5" ...@@ -49,8 +49,8 @@ regex = "1.5.5"
# dependencies for extrinsics (deploying and calling a contract) # dependencies for extrinsics (deploying and calling a contract)
async-std = { version = "1.11.0", features = ["attributes", "tokio1"] } async-std = { version = "1.11.0", features = ["attributes", "tokio1"] }
ink_metadata = { version = "3.0", features = ["derive"] } ink_metadata = { version = "3", features = ["derive"] }
ink_env = "3.0" ink_env = "3"
scale-info = { version = "2.1.2", default-features = false, features = ["derive"] } scale-info = { version = "2.1.2", default-features = false, features = ["derive"] }
sp-core = "6.0.0" sp-core = "6.0.0"
sp-runtime = "6.0.0" sp-runtime = "6.0.0"
...@@ -83,10 +83,10 @@ wabt = "0.10.0" ...@@ -83,10 +83,10 @@ wabt = "0.10.0"
regex = "1.5.5" regex = "1.5.5"
predicates = "2.1.1" predicates = "2.1.1"
ink_primitives = "3.0" ink_primitives = "3"
ink_storage = "3.0" ink_storage = "3"
ink_lang = "3.0" ink_lang = "3"
ink_lang_codegen = "3.0" ink_lang_codegen = "3"
[features] [features]
# This `std` feature is required for testing using an inline contract's metadata, because `ink!` annotates the metadata # This `std` feature is required for testing using an inline contract's metadata, because `ink!` annotates the metadata
......
...@@ -5,11 +5,11 @@ authors = ["[your_name] <[your_email]>"] ...@@ -5,11 +5,11 @@ authors = ["[your_name] <[your_email]>"]
edition = "2021" edition = "2021"
[dependencies] [dependencies]
ink_primitives = { version = "3.0", default-features = false } ink_primitives = { version = "3", default-features = false }
ink_metadata = { version = "3.0", default-features = false, features = ["derive"], optional = true } ink_metadata = { version = "3", default-features = false, features = ["derive"], optional = true }
ink_env = { version = "3.0", default-features = false } ink_env = { version = "3", default-features = false }
ink_storage = { version = "3.0", default-features = false } ink_storage = { version = "3", default-features = false }
ink_lang = { version = "3.0", default-features = false } ink_lang = { version = "3", default-features = false }
scale = { package = "parity-scale-codec", version = "3", default-features = false, features = ["derive"] } scale = { package = "parity-scale-codec", version = "3", default-features = false, features = ["derive"] }
scale-info = { version = "2", default-features = false, features = ["derive"], optional = true } scale-info = { version = "2", default-features = false, features = ["derive"], optional = true }
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment